Java - 6.4

Talend Open Studio for Data Integration Guide d'installation et de migration pour Mac

EnrichVersion
6.4
EnrichProdName
Talend Open Studio for Data Integration
task
Installation et mise à niveau
EnrichPlatform
Studio Talend

Afin d'utiliser votre produit Talend, Java doit être installé sur votre machine. Si vous installez votre Studio Talend à l'aide de l'installateur du Studio Talend, vous n'aurez pas à configurer un environnement Java, celui-ci étant embarqué dans l'installateur.

Ces pages listent :

Environnements Java compatibles

Note

Dans la documentation suivante :

  • recommandé : désigne un environnement recommandé par Talend sur la base de l'utilisation et client ;

  • supporté : désigne un environnement supporté pour une utilisation avec les composants ou services listés ;

  • supporté avec limitations : désigne un environnement qui est supporté par Talend sous certaines conditions détaillées dans des notes.

Les tableaux suivants présentent une liste exhaustive des environnements Java compatibles.

Dans le tableau suivant :

  • (R) signifie que cette combinaison est recommandée ;

  • signifie que cette combinaison est supportée ;

  • signifie que cette combinaison n'est pas supportée.

Notez que seules les versions 64 bits des environnements Java compatibles sont supportés.

Le niveau de conformité du compilateur (Compiler Compliance Level) correspond à la version de Java utilisée pour la génération de code des Jobs. Cette option peut être changée dans les paramètres du projet du Studio. Pour plus d'informations, consultez le Guide utilisateur du Studio Talend.

Note

Tous les produits Talend et leurs applications tierces associées, comme le cluster Hadoop, doivent utiliser la même version de Java pour des raisons de compatibilité. Avant d'installer ou de mettre à niveau toute application tierce associée, Talend vous recommande de vérifier la version Java supportée.

Tableau 5. Environnements Java pour le Studio

Type de support

Version JRE

Niveau de conformité du compilateur JDK du Studio (Compiler Compliance Level)

Notes

Recommandé

Oracle 8

1.8 (par défaut)

Supporté

Oracle 8

1.7

Doit être changer manuellement. Seulement supporté par les distributions Big Data le nécessitant. Les Routes ne sont pas supportées par le niveau de conformité du compilateur JDK 1.7.


Suivant votre licence, les serveurs d'exécutions disponibles peuvent être différents.

Par exemple, la combinaison recommandée est :

  • Oracle 8 installé sur la machine faisant tourner le Studio ;

  • Le Niveau de conformité du compilateur configuré à 1,7 dans les paramètres de projet du Studio ;

  • Oracle 8 installé sur la ou les machine(s) faisant tourner le ou les serveur(s) d'exécution et les applications serveur Talend ;

  • des Distributions Big Data compatibles avec Java 1.8 utilisées.

Pour plus d'informations sur les spécificités Java (compatibilité des versions, des systèmes d'exploitation), consultez Talend Help Center et Talend Community.

Configurer JAVA_HOME

Pour que votre produit Talend puisse utiliser l'environnement Java installé sur votre machine, vous devez configurer la variable d'environnement JAVA_HOME.

Pour ce faire, procédez comme suit :

  1. Trouvez le dossier dans lequel Java est installé, généralement /Library/Java/Home.

  2. Ouvrez un terminal.

  3. Utilisez Export , définissez les variables JAVA_HOME et Path.

    Par exemple :

    export JAVA_HOME=/usr/lib/jvm/jre1.8.0_65
    export PATH=$JAVA_HOME/bin:$PATH
  4. Ajoutez ces lignes à la fin de profils globaux dans le fichier /etc/profile ou dans les profils utilisateur dans le fichier ~/.profile file.

    Après avoir changé un de ces fichiers, vous devez vous déconnecter et vous reconnecter.